package com.ningdatech.carapi.irs.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2023-05-12
 */
@TableName("nd_vehicle_accident_irs_data")
@ApiModel(value = "AccidentIrsData对象", description = "")
public class VehicleAccidentIrsData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("事故发生时间")
    private LocalDateTime accidentTime;

    @ApiModelProperty("irs返回事故数据字符串")
    private String jsonStrData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getCarPlate() {
        return carPlate;
    }

    public void setCarPlate(String carPlate) {
        this.carPlate = carPlate;
    }
    public LocalDateTime getAccidentTime() {
        return accidentTime;
    }

    public void setAccidentTime(LocalDateTime accidentTime) {
        this.accidentTime = accidentTime;
    }
    public String getJsonStrData() {
        return jsonStrData;
    }

    public void setJsonStrData(String jsonStrData) {
        this.jsonStrData = jsonStrData;
    }
    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }
    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }

    @Override
    public String toString() {
        return "AccidentIrsData{" +
            "id=" + id +
            ", carPlate=" + carPlate +
            ", accidentTime=" + accidentTime +
            ", jsonStrData=" + jsonStrData +
            ", createOn=" + createOn +
            ", updateOn=" + updateOn +
        "}";
    }
}
